org.apache.maven.shared.model.fileset.mappers

## Class MapperException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.shared.model.fileset.mappers.MapperException

All Implemented Interfaces:
  Serializable

    public class MapperException
    extends Exception

Mapper Exception

Version:
  $Id: MapperException.java 1721672 2015-12-25 13:18:36Z khmarbaise $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MapperException(String message)` Constructor
`MapperException(String message, Throwable cause)` Constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapperException

    public MapperException(String message,
                           Throwable cause)

Constructor

Parameters:
  `message` - The error message
  `cause` - The root cause of the problem.

#### MapperException

    public MapperException(String message)

Constructor

Parameters:
  `message` - The error message.